## rc 1.4-2

=== Makefile ===
# Makefile for rc.

# Please check the configuration parameters in config.h (and if you want
# to make sure, the definitions in proto.h) to make sure they are correct
# for your system.

SHELL=/bin/sh

# Uncomment this line if you have defined the NOEXECVE macro in config.h
#EXECVE=execve.o

# Define this macro if you wish to extend rc via locally-defined builtins.
# An interface is provided in addon.[ch]. Note that the author does not
# endorse any such extensions, rather hopes that this way rc will become
# useful to more people.
#ADDON=addon.o

# Use an ANSI compiler (or at least one that groks prototypes and void *):
CC=gcc 
CFLAGS= -O2
LDFLAGS= -s

# You may substitute "bison -y" for yacc. (You want to choose the one that
# makes a smaller y.tab.c.)
YACC=bison -y

OBJS=$(ADDON) builtins.o except.o exec.o $(EXECVE) fn.o footobar.o getopt.o \
	glob.o glom.o hash.o heredoc.o input.o lex.o list.o main.o match.o \
	nalloc.o open.o print.o redir.o sigmsgs.o signal.o status.o tree.o \
	utils.o var.o version.o wait.o walk.o which.o y.tab.o

# If rc is compiled with READLINE defined, you must supply the correct
# arguments to ld on this line. Typically this would be something like:
#
#	$(CC) -o $@ $(OBJS) -lreadline -ltermcap

rc: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS) -lreadline

sigmsgs.c: mksignal
	sh mksignal /usr/include/linux/signal.h

y.tab.c: parse.y
	$(YACC) -d parse.y

config.h: config.h-dist
	cp config.h-dist config.h

trip: rc
	./rc -p < trip.rc

clean: force
	rm -f *.o *.tab.* sigmsgs.*

history: force
	cd history; make CC="$(CC)" $(HISTORYMAKEFLAGS)

force:

# dependencies:

$(OBJS): config.h
sigmsgs.h: sigmsgs.c
lex.o y.tab.o: y.tab.c
builtins.c fn.c status.c hash.c: sigmsgs.h

=== history/Makefile ===
CC=gcc -g -O

history: history.c
	$(CC) -o history history.c
	@echo 'Now install "history" as -, --, -p and --p in your bin directory'
	@echo '(for example, by making them links to the same file)'

## rc 1.7.1

=== debian/changelog ===
rc (1.7.1-5) unstable; urgency=low

  * Add patch (aclocal-quoting.diff) to fix underquoted calls to AC_DEFUN in
    acinclude.m4.
  * Add patch (configure-modernize-ac-init-automake.diff) to modernize the
    AM_INIT_AUTOMAKE call in the configure script.
  * Add “compile” to the list of ignored files in debian/source/options.
  * Add patch (panic-attribute-noreturn.diff) to mark the panic() function
    with attribute noreturn, in order to avoid false positive warnings about
    array bounds.
  * Build with -Werror=array-bounds.
  * Build with -fvisibility=hidden, in order to avoid false positive
    binary-file-built-without-LFS-support lintian tag.
  * Add patch (which-error-handling.diff) to improve error handling in the
    which() function.
  * Rebuild parse.c at build time.
    + Update debian/rules.
    + Add parse.c to the list of ignored files in debian/source/options.
    + Add byacc to Build-Depends.
  * Bump standards version to 3.9.5 (no changes needed).
  * Add patch (trip-secure-tmp.diff) to fix insecure use of /tmp in the test
    suite (closes: #737125).
  * Add patch (trip-hide-envvars.diff) to hide environment variables from the
    test suite output, so that they are not accidentally exposed in a build log.
  * Run tests at build time.
    + Update debian/rules.
    + Add procpc to Build-Depends.
  * Add DEP-8 tests.
  * Add patch (typos.diff) to fix a few spelling errors.
  * Add patch (manpage-typography.diff) to improve typography in the manual
    page.
  * Force gzip compression for .debian.tar.
  * Don't use dh_testdir; instead use target dependencies to ensure that
    debian/rules is run from the correct directory.
  * Run dh_clean as the first command in the clean target.
  * Use dh-buildinfo:
    + Update debian/rules.
    + Add the package to Build-Depends.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 02 Feb 2014 23:15:42 +0100

rc (1.7.1-4) unstable; urgency=low

  * New maintainer (closes: #660508). Thanks to Decklin Foster for his past
    work.
  * Add ${misc:Depends} to Depends.
  * Rewrite debian/rules from scratch.
    + Pass --configure to the configure script only when cross-building.
    + Build out-of-tree.
    + Don't ignore ‘make distclean’ in the clean target; delete the whole
      build directory instead.
    + Don't pass --info-dir to the configure script, and don't call
      dh_installinfo, since there is no info documentation anyway.
    + Link using --as-needed, in order to avoid dependency on libtinfo.
  * Regerate autoconf files at build time:
    + Add build-dependency on autoconf, automake.
    + Add extend-diff-ignore to debian/source/options, to ignore regenerated
      files.
    + Update debian/rules.
  * Pass {C,CPP,LD}FLAGS acquired from dpkg-buildflags to the configure
    script:
    + Add build-dependency on dpkg-dev (>= 1.15.7), for dpkg-buildflags support.
    + Update debian/rules.
  * Bump debian/compat to 7. Bump build-dependency on debhelper to >= 7.
  * Remove debian/rc.dirs; it's not needed as upstream makefiles creates
    needed directories anyway.
  * Remove an article from the package synopsis. Re-wrap the long description.
  * Convert to source format 3.0 (quilt).
    + Add debian/source/format.
  * Bump standards version to 3.9.3.
    + Change menu sertion from “Apps/Shells” to “Applications/Shells”.
  * Don't ignore errors in maintainer scripts.
  * Don't hardcode paths to {add,remove}-shell in maintainer scripts.
  * Add watch file.
  * Rename debian/rc.copyright to debian/copyright.
  * Update the copyright file (closes: #367004). Thanks to Harri Haataja for
    the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 24 Feb 2012 20:00:41 +0100

rc (1.7.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libreadline-dev instead of libreadline5-dev
    (closes: #553835). Thanks to Matthias Klose for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 07 Aug 2011 12:37:03 +0200

rc (1.7.1-3) unstable; urgency=low

  * Use add-shell and remove-shell. (Closes: #361547)
  * Bump Standards-Version to 3.6.2.

 -- Decklin Foster <decklin@red-bean.com>  Tue, 11 Apr 2006 05:02:20 -0400

rc (1.7.1-2) unstable; urgency=low

  * Compile against libreadline5.
  * Remove period and leading capitalization from description in control file.

 -- Decklin Foster <decklin@red-bean.com>  Sat, 25 Dec 2004 08:28:05 -0500

rc (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Update to policy 3.6.1 and debhelper 4

 -- Decklin Foster <decklin@red-bean.com>  Sat, 20 Sep 2003 21:18:24 -0400

rc (1.7-1) unstable; urgency=low

  * New upstream release. 1.7 is finally done!

 -- Decklin Foster <decklin@red-bean.com>  Fri, 21 Jun 2002 17:45:08 -0400

rc (1.6c7-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Thu, 23 May 2002 15:25:46 -0400

rc (1.6c6-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Sat,  9 Feb 2002 18:15:50 -0500

rc (1.6c5-1) unstable; urgency=low

  * New upstream release, another RC of rc (ha ha!)
  * Revert config.{sub,guess} stuff; these aren't even used upstream.

 -- Decklin Foster <decklin@red-bean.com>  Thu, 22 Nov 2001 00:15:47 -0500

rc (1.6c4-1) unstable; urgency=low

  * New upstream release. This is a release candidate for rc 1.7, so file bugs
    if you got 'em.

 -- Decklin Foster <decklin@red-bean.com>  Wed, 31 Oct 2001 17:08:33 -0500

rc (1.6b3-1) unstable; urgency=low

  * New upstream release:
    - Patches from #99603 and #80902 are now merged
    - Fixed premature exit and uninterruptible looping bugs
    - -I (noninteractive) option added, -V replaced with $version
    - Handling of ^A in lists improved
  * Fixed 'CFLAGS' typo in debian/rules
  * Use autotools-dev config.{sub,guess} files, and call ./configure with the
    proper architecture options.
  * Updated Standards-Version to 3.5.6

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Oct 2001 20:25:50 -0400



=== debian/control ===
Source: rc
Section: shells
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7), dh-buildinfo,
 dpkg-dev (>= 1.15.7),
 autoconf, automake,
 byacc,
 libncurses5-dev, libreadline-dev,
 procps
XS-Testsuite: autopkgtest

Package: rc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: implementation of the AT&T Plan 9 shell
 rc is a command interpreter and programming language similar to sh(1). It is
 based on the AT&T Plan 9 shell of the same name. The shell offers a C-like
 syntax (much more so than the C shell), and a powerful mechanism for
 manipulating variables. It is reasonably small and reasonably fast, especially
 when compared to contemporary shells. Its use is intended to be interactive,
 but the language lends itself well to scripts.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure_flags = --build $(DEB_BUILD_GNU_TYPE)
ifneq "$(DEB_BUILD_GNU_TYPE)" "$(DEB_HOST_GNU_TYPE)"
	configure_flags += --host $(DEB_HOST_GNU_TYPE)
endif

cflags = $(shell dpkg-buildflags --get CFLAGS) -Werror=array-bounds -fvisibility=hidden
cppflags = $(shell dpkg-buildflags --get CPPFLAGS)
ldflags = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

configure_flags += \
	--prefix=/usr \
	--mandir='$${prefix}/share/man' \
	--with-readline \
	--with-addon \
	CFLAGS='$(cflags)' \
	CPPFLAGS='$(cppflags)' \
	LDFLAGS='$(ldflags)' \

autoconf-stamp: debian/control
	autoreconf -vfi
	touch $(@)

obj/config.status: autoconf-stamp
	mkdir -p $(dir $@)
	cd obj && ../configure $(configure_flags) 

parse.output:
	byacc -v -o parse.c parse.y

obj/build-stamp: obj/config.status parse.output
	$(MAKE) -C obj
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	cd obj && ./rc -p < ../trip.rc
endif
	touch $(@)

.PHONY: build build-arch build-indep
build build-arch: obj/build-stamp

.PHONY: binary binary-arch binary-indep
binary binary-arch: obj/build-stamp
	dh_testroot
	dh_prep
	$(MAKE) -C obj DESTDIR=../debian/rc install
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_buildinfo
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean
clean:
	dh_clean
	rm -rf obj/ autoconf-stamp
	rm -f parse.output

.SECONDARY:
.NOTPARALLEL:

# vim:ts=4 sw=4 noet

=== debian/tests/control ===
Tests: tests
Depends: rc, procps
Restrictions: allow-stderr

## rc 1.7.2

=== debian/changelog ===
rc (1.7.2-1) unstable; urgency=low

  * New upstream release.
    + Support quoting for filename completion in GNU readline
      (closes: #432899). Thanks to Raf Czlonka for the bug report.
    + Fix quoting of glob characters.
    + Allow $"x as a synonym for $^x.
  * Drop patches that were applied upstream:
    - aclocal-quoting.diff
    - configure-modernize-ac-init-automake.diff
    - trip-secure-tmp.diff
    - typos.diff
  * Update manpage-typography.diff.
  * Refresh other patches.
  * Update debian/rules to enable GNU Readline support.
  * Update debian/copyright.
  * Add Homepage field.
  * Add DEP-8 test that runs adequate(1) against the package.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 27 Sep 2014 22:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  byacc,
  libncurses5-dev, libreadline-dev,
  procps
+Homepage: http://tobold.org/article/rc
 XS-Testsuite: autopkgtest
 
 Package: rc

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 configure_flags += \
 	--prefix=/usr \
 	--mandir='$${prefix}/share/man' \
-	--with-readline \
+	--with-edit=gnu \
 	--with-addon \
 	CFLAGS='$(cflags)' \
 	CPPFLAGS='$(cppflags)' \

=== debian/watch ===
version=3
opts="uversionmangle=s/(?<=[0-9])b/~b/" \
ftp://ftp.sys.utoronto.ca/pub/rc/ rc-([0-9][.0-9a-z-]+)[.]tar[.]gz

## rc 1.7.4

=== debian/changelog ===
rc (1.7.4-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * debian/copyright:
    - Upstream license changed to zlib.
  * debian/source/options:
    - Don't enforce gzip compression.
  * debian/rc.menu:
    - Drop file, as the menu system is now deprecated.
  * debian/rules:
    - Convert to dh-style build with compat level 10.
  * debian/control:
    - Drop unnecessary dependencies to autoconf/automake/dh-buildinfo.
    - Add Vcs-* fields; imported history to collab-maint.
  * debian/patches:
    - Honour SOURCE_DATE_EPOCH for embedded timestamp.
      Thanks to Chris Lamb for providing the patch! (Closes: #833441)
    - Refresh patches.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 27 Sep 2016 01:36:15 +0200

rc (1.7.2-2) unstable; urgency=medium

  * QA upload.
  * Set QA Group as maintainer. (see #770372)
  * Migrations:
      - debian/copyright to 1.0 format.
      - DH level to 9.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Removed the obsoleted field XS-Testsuite.
      - Removed unnecessary build dependency dpkg-dev.
  * debian/patches/:
      - Renamed all patches:
          ~ which-error-handling.diff to 10_which-error-handling.patch.
          ~ panic-attribute-noreturn.diff to 20_panic-attribute-noreturn.patch.
          ~ trip-hide-envvars.diff to 30_trip-hide-envvars.patch.
          ~ manpage-typography.diff to 40_manpage-typography.patch.
  * debian/watch:
      - Bumped to version 4.
      - Improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 28 Jul 2016 15:32:35 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: rc
 Section: shells
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7), dh-buildinfo,
- dpkg-dev (>= 1.15.7),
- autoconf, automake,
- byacc,
- libncurses5-dev, libreadline-dev,
- procps
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10),
+               byacc,
+               libncurses5-dev,
+               libreadline-dev,
+               procps
 Homepage: http://tobold.org/article/rc
-XS-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/rc.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/rc.git
 
 Package: rc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-edit=readline --with-addon

=== debian/watch ===
version=4
http://tobold.org/article/rc .*/rc/rc-(\d\S+)\.(?:tar|tar\.(?:bz2|gz|xz))

## rc 1.7.4%2B97.gceb59bb

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-edit=readline --with-addon
+	dh_auto_configure -- --with-edit=readline --with-addon --program-suffix=.byron

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rc-$1.tar.gz%" \
    https://github.com/rakitzis/rc/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## rc 1.7.4+97.gceb59bb

=== debian/changelog ===
rc (1.7.4+97.gceb59bb-7) unstable; urgency=medium

  * New maintainer (Closes: #770372)
  * Update standards version 4.7.2, no changes needed
  * Update gcc-15.patch to be marked as forwarded
  * Update 0004-manpage-typography.patch to fix trailing '0'
  * Fix 0001-which-error-handling.patch metadata

 -- Jacob Mealey <jacobmealey.maine@gmail.com>  Tue, 07 Oct 2025 19:03:54 -0400

rc (1.7.4+97.gceb59bb-6) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 15.  (Closes: #1097776)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Sep 2025 03:10:44 +0200

rc (1.7.4+97.gceb59bb-5) unstable; urgency=medium

  * QA upload.

  [ Bernhard Übelacker ]
  * Update 0005-Fix-uninitialized-variable-error.patch to avoid crash in tab
    completion.  (Closes: #1004645).

  [ Andreas Beckmann ]
  * Bump debhelper-compat to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Feb 2023 17:22:11 +0100

rc (1.7.4+97.gceb59bb-4) unstable; urgency=medium

  * QA upload.
  * Remove obsolete and no longer existing /usr/bin/rc from /etc/shells on
    upgrades.
  * Set Rules-Requires-Root: no.
  * Update standards version to 4.5.1, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Mar 2021 23:19:10 +0200

rc (1.7.4+97.gceb59bb-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 03 Feb 2021 04:20:39 +0000

rc (1.7.4+97.gceb59bb-2) unstable; urgency=medium

  * QA upload.
  * Round-trip patches with gbp-pq
  * Fix uninitialized variable error
  * Fix piuparts, update alternatives correctly

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 16 Aug 2019 08:58:37 +0000

rc (1.7.4+97.gceb59bb-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * QA upload.
  * Import snapshot from upstream git repository.
  * [e0e897b2] Update patches
  * [ae0749fa] Add slave link to rc(1) for /usr/bin/rc alternative
  * [be33cc7e] Update debhelper compat to 12
  * [0c4077da] Set upstream metadata fields: Contact, Name.
  * [fb58f495] Update standards version to 4.4.0
  * [75114010] Update homepage to github

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 12 Aug 2019 21:54:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: rc
 Section: shells
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10),
+Maintainer: Jacob Mealey <jacobmealey.maine@gmail.com>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
                byacc,
-               libncurses5-dev,
+               libncurses-dev,
                libreadline-dev,
                procps
-Homepage: http://tobold.org/article/rc
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/rc.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/rc.git
+Homepage: https://github.com/rakitzis/rc
+Vcs-Git: https://salsa.debian.org/debian/rc.git
+Vcs-Browser: https://salsa.debian.org/debian/rc
 
 Package: rc
 Architecture: any

=== debian/tests/control ===
Tests: tests
Depends: rc, procps
Restrictions: allow-stderr

Tests: adequate
Depends: rc, adequate
